Bug 1119224 - [xmlrpc] Can not add cases to the runs with calling the TestRun.add_cases() method
Summary: [xmlrpc] Can not add cases to the runs with calling the TestRun.add_cases() m...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 10:15 UTC by Tingting Zhao
Modified: 2018-07-04 21:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Tingting Zhao 2014-07-14 10:15:59 UTC
Description of problem:
Invoking the method TestRun.add_cases() ,the cases can't be added to the specific runs.

Version-Release number of selected component (if applicable):
v3.8.9-1 on test server

How reproducible:
100%

Steps to Reproduce:
1.Invoke the method like this:
n.TestRun.add_cases(390008,141243)
2.then call the n.TestRun.get_test_cases(141243) or refresh the UI page to check whether this case is added to the run.

Actual results:
The case was not added to the run and there are no any wrong messages returned.

Expected results:
the case should be added to the run if the case id and run id are both right 
Else,return 400 fault.

Additional info:

Comment 1 Xu Lei 2014-07-14 10:31:24 UTC
the doc shows an error parameters order. I will fix doc.

Comment 2 yangqiu 2014-07-29 06:14:05 UTC
verify this bug on devel server on v3.8.10--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.